Summary:	Musical score editor
Name:		nted
Version:	1.10.18
Release:	%mkrel 13
License:	GPLv2+
Group:		Sound/Editors and Converters
Url:		http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/nted.xhtml
Source0:	http://vsr.informatik.tu-chemnitz.de/staff/jan/nted/sources/%{name}-%{version}.tar.gz
Patch0:		%{name}-1.10.18-sfmt.patch
Patch1:		%{name}-1.10.18-headers.patch
Patch2:		%{name}-1.10.18-mga-freetype2.patch
Patch3:		%{name}-1.10.18-gcc-6.patch
Patch4:		%{name}-1.10.18-gcc-7.patch
Patch5:		%{name}-1.10.18-signed-char.patch
BuildRequires:	intltool
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(pango)

%description
NtEd is a GTK score editor. It intends to be really WYSIWYG:
what you see on the screen is exactly what you get on printer
output. It supports up to 4 voices per staff, drum notes, 5 lyrics
lines, N-Tuplets, context changes, repeats with alternatives,
configurable music instruments per staff, MIDI and Postscript
export, MusicXML import. Scores can be played through the ALSA sequencer.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/mime/packages

#new style menu
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=NtEd
GenericName=Score editor
GenericName[de]=Partitureditor
GenericName[es]=Editor de partituras
GenericName[fr]=Éditeur de partition
GenericName[it]=Redattore di spartiti
GenericName[ru]=Редактор партитур
GenericName[cs]=Editor notového zápisu
GenericName[ja]=楽譜エディタ
GenericName[ko]=악보 편집기
GenericName[nb]=Noteark-redigerer
GenericName[nl]=Partituutbewerking
GenericName[pt_BR]=Partitura
GenericName[zh_CN]=乐谱编辑器
GenericName[cy]=Golygydd Sgôr
GenericName[et]=Partituuriredaktor
GenericName[hu]=Kottaszerkesztő
GenericName[pl]=Edytor wyników
Comment=Edit musical scores
Comment[de]=Bearbeitet (musikal.) Partituren
Comment[es]=Editor musical de partituras
Comment[fr]=Ėdite des partitions musicales
Comment[it]=Redige spartiti musicali
Comment[ru]=Редактор музыкальных партитур
Comment[af]=Redigeer musiekpartituur
Comment[sq]=Modifiko notat muzikore
Comment[ast]=Edita partitures
Comment[be]=Рэдактар нотных партый
Comment[bn]=মিউজিকেল স্কোর সম্পাদনা করুন
Comment[bs]=Uređujte notne zapise
Comment[bg]=Редактиране на музикални партитури
Comment[pt_BR]=Edite partituras musicais
Comment[ca]=Editeu partitures musicals
Comment[ca@valencia]=Editeu partitures musicals
Comment[zh_HK]=編輯樂譜
Comment[zh_TW]=編輯樂譜
Comment[zh_CN]=编辑乐谱
Comment[crh]=Müzik eserlerini düzenle
Comment[cs]=Editace hudebních partitur
Comment[nl]=Partituren bewerken
Comment[da]=Redigér noder
Comment[et]=Partituuri redigeerimine
Comment[fi]=Muokkaa musiikillisia partituureja
Comment[gl]=Edite partituras musicais
Comment[el]=Επεξεργασία παρτιτούρας μουσικής
Comment[hu]=Kották szerkesztése
Comment[ja]=楽譜を編集します
Comment[ky]=Музыкалык ноталар менен иштөөчү редактор
Comment[ko]=악보 편집 프로그램
Comment[ms]=Sunting skor muzik
Comment[nb]=Rediger musikknoter
Comment[fa]=ویرایش خرابی های موسیقی
Comment[oc]=Edicion de particions musicalas
Comment[pl]=Edytor nut
Comment[pt]=Edite partituras de música
Comment[ro]=Editați partituri muzicale
Comment[sk]=Upravovanie nôt
Comment[sl]=Urejajte notne zapise
Comment[tg]=Таҳрир кардани саундтрекҳо
Comment[sv]=Redigera musiknoter
Comment[tr]=Müzik eserlerini düzenle
Comment[uk]=Редагування музичних партитур
Comment[vi]=Soản thảo các bản nhạc
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
MimeType=application/x-%{name};
Type=Application
Categories=Audio;Midi;Music;
EOF

#new style mime-type
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-%{name}">
    <comment>%{name} file</comment>
    <comment xml:lang="ru">файл %{name}</comment>
    <glob pattern="*.ntd"/>
     <magic priority="60">
       <match value="%{name}-file" type="string" offset="20:140"/>
     </magic>
  </mime-type>
</mime-info>
EOF

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS FAQ ABOUT_THE_EXAMPLES.TXT
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/*/*


%changelog
* Thu Aug 20 2020 joequant <joequant> 1.10.18-13.mga8
+ Revision: 1616712
- remove arm fix

* Thu Feb 13 2020 umeabot <umeabot> 1.10.18-12.mga8
+ Revision: 1515610
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.10.18-11.mga7
+ Revision: 1299806
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 wally <wally> 1.10.18-10.mga7
+ Revision: 1236209
- fix build on aarch64

* Tue Apr 03 2018 pterjan <pterjan> 1.10.18-9.mga7
+ Revision: 1215091
- More signed char fix

* Tue Apr 03 2018 pterjan <pterjan> 1.10.18-8.mga7
+ Revision: 1215009
- Fix build when char defaults to unsigned

* Sat Oct 07 2017 daviddavid <daviddavid> 1.10.18-7.mga7
+ Revision: 1169825
- patch3+4: fix build with gcc7

* Tue Feb 16 2016 umeabot <umeabot> 1.10.18-6.mga6
+ Revision: 961758
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 alexl <alexl> 1.10.18-5.mga6
+ Revision: 898353
- install ABOUT_THE_EXAMPLES.TXT doc
- fix build with freetype 2.6+
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 1.10.18-4.mga5
+ Revision: 742002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.18-3.mga5
+ Revision: 682945
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 alexl <alexl> 1.10.18-2.mga5
+ Revision: 662255
- translated desktop and xml files

* Wed Jun 18 2014 alexl <alexl> 1.10.18-1.mga5
+ Revision: 638019
- add freetype2.patch
- version 1.10.18
- rewrite spec
- add headers.patch
- rename fmt patch
+ kharec <kharec>
- imported package nted

